
Installer - Bug #22746

Squid module marked as incompatible with Puppet 5

03/01/2018 05:03 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: External modules   

Target version: 1.22.0   

Difficulty:  Fixed in Releases: 1.22.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/319

  

Description

This causes the installer to fail even though the module works.

Related issues:

Is duplicate of Katello - Bug #22691: Forklift fails to install Katello 3.6 b... Closed

Has duplicate Katello - Bug #22924: Puppet 5.x not supported by foreman-insta... Duplicate 03/16/2018

Associated revisions

Revision b6f6141b - 03/05/2018 04:54 PM - Ewoud Kohl van Wijngaarden 

Refs #22746 - Use a forked version of thias-squid3

Revision 5361748a - 02/11/2019 02:59 PM - Ewoud Kohl van Wijngaarden

Fixes #22746 - Complete the switch to voxpupuli-squid

We no longer need to ship our own fork now that puppet-pulp has

switched.

History

#1 - 03/01/2018 05:51 PM - Ewoud Kohl van Wijngaarden

This affects 3.6 and nightly since those include kafo 2.1.0.

#2 - 03/05/2018 04:30 PM - Ewoud Kohl van Wijngaarden

- Project changed from Installer to Katello

- Category set to Installer

#3 - 03/06/2018 04:27 PM - Zach Huntington-Meath

- translation missing: en.field_release set to 284

#4 - 03/06/2018 09:43 PM - Zach Huntington-Meath

- Pull request https://github.com/Katello/katello-installer/pull/598 added

#5 - 03/06/2018 09:46 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Zach Huntington-Meath

- Pull request https://github.com/Katello/katello-installer/pull/596 added

#6 - 03/07/2018 07:12 PM - Zach Huntington-Meath

- Is duplicate of Bug #22691: Forklift fails to install Katello 3.6 because of Puppet module thias-squid not supporting Puppet 5 added

#7 - 03/17/2018 10:02 AM - Anonymous
- Has duplicate Bug #22924: Puppet 5.x not supported by foreman-installer (thias-squid3) added

#8 - 03/28/2018 06:21 PM - John Mitsch

- translation missing: en.field_release changed from 284 to 352

#9 - 07/27/2018 02:18 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to New

- Assignee deleted (Zach Huntington-Meath)

- Target version changed from Katello 3.6.1 to Katello 3.9.0

- Triaged set to Yes

- Pull request deleted (https://github.com/Katello/katello-installer/pull/596, https://github.com/Katello/katello-installer/pull/598)

#10 - 10/10/2018 06:05 PM - Zach Huntington-Meath

- Target version changed from Katello 3.9.0 to Katello 3.11.0

#11 - 01/09/2019 07:17 PM - Jonathon Turel

- Target version changed from Katello 3.11.0 to Katello Backlog

Ewoud - is this still a thing?

#12 - 02/11/2019 01:15 PM - Ewoud Kohl van Wijngaarden

- Project changed from Katello to Installer

- Category changed from Installer to External modules

- Assignee set to Ewoud Kohl van Wijngaarden

- Target version changed from Katello Backlog to 1.22.0

- Fixed in Releases 1.22.0 added

#13 - 02/11/2019 01:16 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Closed

We've switched our implementation to one that is compatible.

#14 - 02/11/2019 01:17 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/319 added
